Bug 607982 - Uninitialized warnings on $magnitude
Summary: Uninitialized warnings on $magnitude
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Number-Compare
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-25 10:54 UTC by Paul Howarth
Modified: 2010-07-05 22:05 UTC (History)
5 users (show)

Fixed In Version: perl-Number-Compare-0.01-15.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-05 22:04:17 UTC
Type: ---


Attachments (Terms of Use)

Description Paul Howarth 2010-06-25 10:54:14 UTC
Number::Compare generates warnings about $magnitude being uninitialized when used with perl 5.12.x, e.g. in its test suite:

Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 30.
Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 31.
Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 32.
Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 33.
Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 34.
Use of uninitialized value $magnitude in lc at /builddir/build/BUILD/Number-Compare-0.01/blib/lib/Number/Compare.pm line 35.

(see http://kojipkgs.fedoraproject.org/packages/perl-Number-Compare/0.01/14.fc14/data/logs/noarch/build.log for full log)

This is raised upstream as https://rt.cpan.org/Public/Bug/Display.html?id=58466 and there's a patch attached there that resolves the problem.

Comment 1 Fedora Update System 2010-06-26 05:56:08 UTC
perl-Number-Compare-0.01-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Number-Compare-0.01-15.fc12

Comment 2 Fedora Update System 2010-06-26 05:56:14 UTC
perl-Number-Compare-0.01-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Number-Compare-0.01-15.fc13

Comment 3 Ralf Corsepius 2010-06-26 05:58:39 UTC
Thanks for the report. 

I applied the patch from https://rt.cpan.org/Public/Bug/Display.html?id=58466.

Comment 4 Fedora Update System 2010-06-28 17:21:30 UTC
perl-Number-Compare-0.01-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Number-Compare'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Number-Compare-0.01-15.fc13

Comment 5 Fedora Update System 2010-06-28 17:22:35 UTC
perl-Number-Compare-0.01-15.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Number-Compare'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Number-Compare-0.01-15.fc12

Comment 6 Fedora Update System 2010-07-05 22:04:13 UTC
perl-Number-Compare-0.01-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-05 22:05:13 UTC
perl-Number-Compare-0.01-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.